## ros-melodic-plotjuggler-msgs 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(plotjuggler_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if( CATKIN_DEVEL_PREFIX OR catkin_FOUND OR CATKIN_BUILD_BINARY_PACKAGE)

    find_package(catkin REQUIRED COMPONENTS std_msgs  message_generation  )

    add_message_files( FILES
      DataPoint.msg
      DataPoints.msg
      Dictionary.msg
    )
    
    generate_messages(
      DEPENDENCIES
      std_msgs
    )
    
    catkin_package( CATKIN_DEPENDS std_msgs  message_generation )

else()
    find_package(ament_cmake REQUIRED)
    find_package(builtin_interfaces REQUIRED)
    find_package(rosidl_default_generators REQUIRED)

    rosidl_generate_interfaces(${PROJECT_NAME}
      msg/DataPoint.msg
      msg/DataPoints.msg
      msg/Dictionary.msg
      DEPENDENCIES builtin_interfaces
      ADD_LINTER_TESTS
     )

    ament_export_dependencies(rosidl_default_runtime)
    ament_package()
endif()

=== debian/changelog ===
ros-melodic-plotjuggler-msgs (0.1.1-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- daf <davide.faconti@gmail.com>  Tue, 12 May 2020 20:56:29 -0000

=== debian/control ===
Source: ros-melodic-plotjuggler-msgs
Section: misc
Priority: optional
Maintainer: daf <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-plotjuggler-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Special Messages for PlotJuggler

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-plotjuggler-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-plotjuggler-msgs 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,8 @@
       DataPoint.msg
       DataPoints.msg
       Dictionary.msg
+      StatisticsNames.msg
+      StatisticsValues.msg
     )
     
     generate_messages(
@@ -29,18 +31,21 @@
 
 else()
     find_package(ament_cmake REQUIRED)
-    find_package(builtin_interfaces REQUIRED)
     find_package(rosidl_default_generators REQUIRED)
+    find_package(std_msgs REQUIRED)
 
     rosidl_generate_interfaces(${PROJECT_NAME}
       msg/DataPoint.msg
       msg/DataPoints.msg
       msg/Dictionary.msg
-      DEPENDENCIES builtin_interfaces
+      msg/StatisticsNames.msg
+      msg/StatisticsValues.msg
+      DEPENDENCIES std_msgs
       ADD_LINTER_TESTS
      )
 
     ament_export_dependencies(rosidl_default_runtime)
+    ament_export_dependencies(std_msgs)
     ament_package()
 endif()

=== debian/changelog ===
ros-melodic-plotjuggler-msgs (0.2.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- daf <davide.faconti@gmail.com>  Mon, 04 Oct 2021 09:53:28 -0000
